Package x2go :: Module checkhosts

[frames] | no frames]

# Module checkhosts

source code

Providing mechanisms to `X2GoControlSession*` backends for checking host validity.

Classes
| X2GoMissingHostKeyPolicy Skeleton class for Python X2Go's missing host key policies.
| X2GoAutoAddPolicy
| X2GoInteractiveAddPolicy Policy for making host key information available to Python X2Go after a Paramiko/SSH connect has been attempted.

Functions

`tuple`

check_ssh_host_key(x2go_sshclient_instance, hostname, port=22) Perform a Paramiko/SSH host key check by connecting to the host and validating the results (i.e. | source code

Variables
| __NAME__ = ``'``x2gocheckhosts-pylib``'``
| __package__ = ``'``x2go``'``

Function Details

### check_ssh_host_key(x2go_sshclient_instance, hostname, port=22)

source code

Perform a Paramiko/SSH host key check by connecting to the host and validating the results (i.e. by validating raised exceptions during the connect process).

Parameters:
  - `x2go_sshclient_instance` (`X2GoControlSession*` instance) - a Paramiko/SSH client instance to be used for testing host key validity.
  - `hostname` (`str`) - hostname of server to validate
  - `port` (`int`) - port of server to validate
Returns: `tuple`
  returns a tuple with the following components (<host_ok>, <hostname>, <port>, <fingerprint>, <fingerprint_type>)
Raises:
  - `SSHException` - if an SSH exception occurred, that we did not provocate in X2GoInteractiveAddPolicy.missing_host_key()